// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface TestParseReportOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.TestParseReport)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  java.util.List<gg.dsepractice.chinese.v1alpha1.ClassicText> 
      getClassicTextsList();
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  gg.dsepractice.chinese.v1alpha1.ClassicText getClassicTexts(int index);
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  int getClassicTextsCount();
}
